Name: jadetex
Version: 3.13
Release: 8%{?dist}
Group: Applications/Publishing

Summary: TeX macros used by Jade TeX output

License: Freely redistributable without restriction
URL: http://sourceforge.net/projects/jadetex

Requires: sgml-common >= 0.5
Requires: texlive, tex(latex)
Requires: jade
Requires(post): texlive
Requires(post): policycoreutils
BuildRequires: unzip tex(latex) texlive texlive-fonts

BuildRoot: %{_tmppath}/%{name}-%{version}

BuildArch: noarch
Source0: http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1: jadefmtutil.cnf
Patch0: jadetex-tetex3.patch
Patch1: jadetex-3.13-typoupstream.patch


%description
JadeTeX contains the additional LaTeX macros necessary for taking Jade
TeX output files and processing them as TeX files (to obtain DVI,
PostScript, or PDF files, for example).

%prep
%setup -q
cp -p %{SOURCE1} .
%patch0 -p1 -b .tetex3
%patch1 -p1 -b .typoupstream

%build
make


%install
DESTDIR=$RPM_BUILD_ROOT
rm -rf $DESTDIR
mkdir -p $DESTDIR
make install DESTDIR=$DESTDIR

mkdir -p ${DESTDIR}%{_datadir}/texmf/tex/jadetex
cp -p *.ini ${DESTDIR}%{_datadir}/texmf/tex/jadetex
cp -p *.sty ${DESTDIR}%{_datadir}/texmf/tex/jadetex
cp -p *.cnf ${DESTDIR}%{_datadir}/texmf/tex/jadetex

mkdir -p ${DESTDIR}%{_bindir}
ln -s etex ${DESTDIR}%{_bindir}/jadetex
ln -s pdfetex ${DESTDIR}%{_bindir}/pdfjadetex

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
cp -p jadetex.1 ${RPM_BUILD_ROOT}%{_mandir}/man1
ln -s jadetex.1.gz ${RPM_BUILD_ROOT}%{_mandir}/man1/pdfjadetex.1

%clean
DESTDIR=$RPM_BUILD_ROOT
rm -rf $DESTDIR


%post
[ -x %{_bindir}/texconfig-sys ] && %{_bindir}/texconfig-sys rehash 2> /dev/null || :
%{_bindir}/env - PATH=$PATH:%{_bindir} fmtutil-sys --cnffile %{_datadir}/texmf/tex/jadetex/jadefmtutil.cnf --all --fmtdir %{_datadir}/texmf/web2c > /dev/null 2>&1
rm -f %{_datadir}/texmf/web2c/jadetex.log
rm -f %{_datadir}/texmf/web2c/pdfjadetex.log
restorecon -R /usr/share/texmf/web2c
exit 0

%postun
[ -x %{_bindir}/texconfig-sys ] && %{_bindir}/texconfig-sys rehash 2> /dev/null || :


%files
%defattr(-,root,root,-)
%doc index.html
%ghost %{_datadir}/texmf/web2c/jadetex.fmt
%ghost %{_datadir}/texmf/web2c/pdfjadetex.fmt
%dir %{_datadir}/texmf/tex/jadetex
%{_datadir}/texmf/tex/jadetex/dsssl.def
%{_datadir}/texmf/tex/jadetex/jadetex.ltx
%{_datadir}/texmf/tex/jadetex/jadetex.ini
%{_datadir}/texmf/tex/jadetex/pdfjadetex.ini
%{_datadir}/texmf/tex/jadetex/dummyels.sty
%{_datadir}/texmf/tex/jadetex/mlnames.sty
%{_datadir}/texmf/tex/jadetex/ucharacters.sty
%{_datadir}/texmf/tex/jadetex/uentities.sty
%{_datadir}/texmf/tex/jadetex/unicode.sty
%{_datadir}/texmf/tex/jadetex/jadefmtutil.cnf
%{_mandir}/man1/jadetex.1*
%{_mandir}/man1/pdfjadetex.1*
%{_bindir}/jadetex
%{_bindir}/pdfjadetex

%triggerin -- texlive
/usr/bin/env - PATH=$PATH:%{_bindir} fmtutil-sys --cnffile %{_datadir}/texmf/tex/jadetex/jadefmtutil.cnf --all > /dev/null 2>&1
exit 0


%changelog

